Bug 1564897 - Pulseaudio get crashed with bluetooth.
Summary: Pulseaudio get crashed with bluetooth.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio
Version: 28
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-08 17:39 UTC by Eugene
Modified: 2019-05-28 20:49 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:49:26 UTC
Type: Bug


Attachments (Terms of Use)
Crash report that gave me Fedora. (71.89 KB, image/png)
2018-04-08 17:39 UTC, Eugene
no flags Details

Description Eugene 2018-04-08 17:39:55 UTC
Created attachment 1418964 [details]
Crash report that gave me Fedora.

Description of problem:
Every time when i'm trying to connect my bluetooth headphones i got crashed Pulseaudio


Version-Release number of selected component (if applicable):
Pulseaudio 11.1


How reproducible:
Just trying to connect my bluetooth garniture via default KDE bluetooth connection manager. I don't know how to reproduce in other way ;-) 

Steps to Reproduce:
1. Turn On your headphones
2. Open Bluetooth connection manager
3. Try to connect your bluetooth headphones
4. Get your pulseaudio crashed

Actual results:

Pulseaudio is crashed, or headphones connected but in mode "off"

Expected results:

Pulseaudio is not crashed everything working fine.

Additional info:

Bluetooth/wifi chip: rtl8723ae
Worked fine on Fedora 27

Comment 1 Eugene 2018-04-08 17:45:19 UTC
Sometimes it connects fine, but usually i have to pass like 10 crashes to get working my Headphones.

Comment 2 Daniel 2018-04-12 08:00:32 UTC
I have the same issue with pulseaudio and  bluetooth headphones and bluetooth speaker on both Lenovo T570 laptop and Lenovo M83 Desktop PC. Both systems were on Fedora 27 and upgraded to Fedora 28 Beta.
Some of my journalctl log messages from this day on when i'm trying to listen lessons on my bluetooth speaker.

Apr 12 10:53:57 linuxuser-desktop kernel: Bluetooth: hci0: last event is not cmd complete (0x0f)
Apr 12 10:53:51 linuxuser-desktop abrt-notification[28586]: Process 28112 (pulseaudio) crashed in transport_state_changed_cb()
Apr 12 10:53:51 linuxuser-desktop dbus-daemon[725]: [system] Successfully activated service 'org.freedesktop.problems'
Apr 12 10:53:51 linuxuser-desktop dbus-daemon[725]: [system] Activating service name='org.freedesktop.problems' requested by ':1.404' (uid=0 pid=28580 comm="/usr/bin/python3 /usr/bin/abrt-action-notify -d /v") (using servicehelper)
Apr 12 10:53:44 linuxuser-desktop abrtd[773]: Size of '/var/spool/abrt' >= 5000 MB (MaxCrashReportsSize), deleting old directory 'ccpp-2018-04-12-10:41:55.844133-14014'
Apr 12 10:53:41 linuxuser-desktop kernel: Bluetooth: hci0: last event is not cmd complete (0x0f)
Apr 12 10:53:35 linuxuser-desktop audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=systemd-coredump@3-28507-0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Apr 12 10:53:35 linuxuser-desktop systemd-coredump[28512]: Process 28112 (pulseaudio) of user 1000 dumped core.
                                                         
                                                         Stack trace of thread 28112:
                                                         #0  0x00007f908f011f4b raise (libc.so.6)
                                                         #1  0x00007f908effc591 abort (libc.so.6)
                                                         #2  0x00007f907d21b345 transport_state_changed_cb (module-bluez5-device.so)
                                                         #3  0x00007f909267791b pa_hook_fire (libpulsecore-11.1.so)
                                                         #4  0x00007f907ee6fc37 pa_bluetooth_transport_set_state (libbluez5-util.so)
                                                         #5  0x00007f907ee6feb4 pa_bluetooth_transport_unlink (libbluez5-util.so)
                                                         #6  0x00007f907ee75772 rfcomm_io_callback (libbluez5-util.so)
                                                         #7  0x00007f909241e708 pa_mainloop_dispatch (libpulse.so.0)
                                                         #8  0x00007f909241e9e0 pa_mainloop_iterate (libpulse.so.0)
                                                         #9  0x00007f909241ea80 pa_mainloop_run (libpulse.so.0)
                                                         #10 0x000055c43c1ef09c main (pulseaudio)
                                                         #11 0x00007f908effe1bb __libc_start_main (libc.so.6)
                                                         #12 0x000055c43c1eff1a _start (pulseaudio)
                                                         
                                                         Stack trace of thread 28117:
                                                         #0  0x00007f908f0caa26 ppoll (libc.so.6)
                                                         #1  0x00007f909268305f pa_rtpoll_run (libpulsecore-11.1.so)
                                                         #2  0x00007f90801b942e thread_func (libalsa-util.so)
                                                         #3  0x00007f90918bc99c internal_thread_func (libpulsecommon-11.1.so)
                                                         #4  0x00007f908fb41564 start_thread (libpthread.so.0)
                                                         #5  0x00007f908f0d531f __clone (libc.so.6)
Apr 12 10:53:25 linuxuser-desktop kernel: Bluetooth: hci0: last event is not cmd complete (0x0f)
Apr 12 10:53:25 linuxuser-desktop bluetoothd[27039]: Endpoint registered: sender=:1.400 path=/MediaEndpoint/A2DPSink
Apr 12 10:53:25 linuxuser-desktop bluetoothd[27039]: Endpoint registered: sender=:1.400 path=/MediaEndpoint/A2DPSource
Apr 12 10:53:25 linuxuser-desktop bluetoothd[27039]: Endpoint unregistered: sender=:1.357 path=/MediaEndpoint/A2DPSink
Apr 12 10:53:25 linuxuser-desktop bluetoothd[27039]: Endpoint unregistered: sender=:1.357 path=/MediaEndpoint/A2DPSource
Apr 12 10:53:21 linuxuser-desktop systemd[2935]: Started Sound Service.
Apr 12 10:53:21 linuxuser-desktop rtkit-daemon[739]: Supervising 2 threads of 1 processes of 1 users.
Apr 12 10:53:21 linuxuser-desktop rtkit-daemon[739]: Successfully made thread 28518 of process 28515 (/usr/bin/pulseaudio) owned by '1000' RT at priority 5.
Apr 12 10:53:21 linuxuser-desktop rtkit-daemon[739]: Supervising 1 threads of 1 processes of 1 users.
Apr 12 10:53:21 linuxuser-desktop pulseaudio[28515]: W: [pulseaudio] pid.c: Stale PID file, overwriting.
Apr 12 10:53:21 linuxuser-desktop rtkit-daemon[739]: Supervising 1 threads of 1 processes of 1 users.
Apr 12 10:53:21 linuxuser-desktop rtkit-daemon[739]: Successfully made thread 28515 of process 28515 (/usr/bin/pulseaudio) owned by '1000' high priority at nice level -11.
Apr 12 10:53:19 linuxuser-desktop systemd[2935]: Starting Sound Service...
Apr 12 10:53:19 linuxuser-desktop systemd[2935]: Stopped Sound Service.
Apr 12 10:53:19 linuxuser-desktop systemd[2935]: pulseaudio.service: Scheduled restart job, restart counter is at 3.
Apr 12 10:53:19 linuxuser-desktop systemd[2935]: pulseaudio.service: Service hold-off time over, scheduling restart.

Comment 3 Daniel 2018-04-12 08:04:23 UTC
Additional to my comment up: I'm using blueberry bluetooth manager with Mate Desktop. In my opinion pulseaudio gets wrong and i will not be surprised if this is one more bug caused because of new additional linker settings added on F28.

Comment 4 DaMiGe 2018-06-26 17:37:24 UTC
Hi, i would like to add i am experiencing the same on archlinux when upgrading from pulseaudio 11.1 -> 12.0

Jun 26 18:56:37 microbot bluetoothd[741]: /org/bluez/hci0/dev_EC_66_D1_A1_F6_C2/fd5: fd(36) ready
Jun 26 18:56:38 microbot rtkit-daemon[1292]: Supervising 3 threads of 1 processes of 1 users.
Jun 26 18:56:38 microbot rtkit-daemon[1292]: Successfully made thread 2819 of process 2389 (/usr/bin/pulseaudio) owned by '1000' RT at priority 5.
Jun 26 18:56:38 microbot rtkit-daemon[1292]: Supervising 4 threads of 1 processes of 1 users.
Jun 26 18:56:38 microbot pulseaudio[2389]: E: [pulseaudio] module-bluez5-device.c: Assertion '!u->thread' failed at modules/bluetooth/module-bluez5-device.c:1731, function start_thread(). Aborting.
Jun 26 18:56:38 microbot systemd[1]: Started Process Core Dump (PID 2820/UID 0).
Jun 26 18:56:39 microbot bluetoothd[741]: Endpoint unregistered: sender=:1.148 path=/MediaEndpoint/A2DPSink
Jun 26 18:56:39 microbot bluetoothd[741]: Endpoint unregistered: sender=:1.148 path=/MediaEndpoint/A2DPSource
Jun 26 18:56:39 microbot systemd[1118]: pulseaudio.service: Main process exited, code=dumped, status=6/ABRT
Jun 26 18:56:39 microbot systemd[1118]: pulseaudio.service: Failed with result 'core-dump'.
Jun 26 18:56:39 microbot systemd-coredump[2821]: Process 2389 (pulseaudio) of user 1000 dumped core.
                                                 
                                                 Stack trace of thread 2389:
                                                 #0  0x00007f4bfdfda86b raise (libc.so.6)
                                                 #1  0x00007f4bfdfc540e abort (libc.so.6)
                                                 #2  0x00007f4bed78ed17 n/a (module-bluez5-device.so)
                                                 #3  0x00007f4bed791c3f n/a (module-bluez5-device.so)
                                                 #4  0x00007f4bff561c4a pa_card_set_profile (libpulsecore-12.0.so)
                                                 #5  0x00007f4bf65c4481 n/a (libprotocol-native.so)
                                                 #6  0x00007f4bff0a6f48 pa_pdispatch_run (libpulsecommon-12.0.so)
                                                 #7  0x00007f4bf65cd0d6 n/a (libprotocol-native.so)
                                                 #8  0x00007f4bff0a9a9f n/a (libpulsecommon-12.0.so)
                                                 #9  0x00007f4bff0ac90b n/a (libpulsecommon-12.0.so)
                                                 #10 0x00007f4bff0accba n/a (libpulsecommon-12.0.so)
                                                 #11 0x00007f4bff0ad54a n/a (libpulsecommon-12.0.so)
                                                 #12 0x00007f4bff30fd18 pa_mainloop_dispatch (libpulse.so.0)
                                                 #13 0x00007f4bff30ffef pa_mainloop_iterate (libpulse.so.0)
                                                 #14 0x00007f4bff310091 pa_mainloop_run (libpulse.so.0)
                                                 #15 0x000056378f63f3b3 main (pulseaudio)
                                                 #16 0x00007f4bfdfc706b __libc_start_main (libc.so.6)
                                                 #17 0x000056378f64009a _start (pulseaudio)
                                                 
                                                 Stack trace of thread 2394:
                                                 #0  0x00007f4bfe091fa6 ppoll (libc.so.6)
                                                 #1  0x00007f4bff571e10 pa_rtpoll_run (libpulsecore-12.0.so)
                                                 #2  0x00007f4bf5509267 n/a (libalsa-util.so)
                                                 #3  0x00007f4bff0bd9fc n/a (libpulsecommon-12.0.so)
                                                 #4  0x00007f4bfe56b075 start_thread (libpthread.so.0)
                                                 #5  0x00007f4bfe09c53f __clone (libc.so.6)
                                                 
                                                 Stack trace of thread 2393:
                                                 #0  0x00007f4bfe091fa6 ppoll (libc.so.6)
                                                 #1  0x00007f4bff571e10 pa_rtpoll_run (libpulsecore-12.0.so)
                                                 #2  0x00007f4bf5502911 n/a (libalsa-util.so)
                                                 #3  0x00007f4bff0bd9fc n/a (libpulsecommon-12.0.so)
                                                 #4  0x00007f4bfe56b075 start_thread (libpthread.so.0)
                                                 #5  0x00007f4bfe09c53f __clone (libc.so.6)
                                                 
                                                 Stack trace of thread 2819:
                                                 #0  0x00007f4bfe091fa6 ppoll (libc.so.6)
                                                 #1  0x00007f4bff571e10 pa_rtpoll_run (libpulsecore-12.0.so)
                                                 #2  0x00007f4bed792338 n/a (module-bluez5-device.so)
                                                 #3  0x00007f4bff0bd9fc n/a (libpulsecommon-12.0.so)
                                                 #4  0x00007f4bfe56b075 start_thread (libpthread.so.0)
                                                 #5  0x00007f4bfe09c53f __clone (libc.so.6)
Jun 26 18:56:40 microbot systemd[1118]: pulseaudio.service: Service hold-off time over, scheduling restart.

Comment 5 Rex Dieter 2018-06-30 13:45:32 UTC
If possible, please report this upstream 
https://bugs.freedesktop.org/enter_bug.cgi?product=PulseAudio

Comment 6 Rex Dieter 2018-07-02 04:39:22 UTC
fwiw, comment #4 appears to be a dup of bug #1594596

Comment 7 Ben Cotton 2019-05-02 19:17:00 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Ben Cotton 2019-05-02 21:30:08 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2019-05-28 20:49:26 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.